curl --request GET \
--url https://{host}/timmi-project/api/v4/projects \
--header 'Authorization: <authorization>'{
"next": "<string>",
"prev": "<string>",
"count": 1,
"items": [
{
"name": "<string>",
"id": 2,
"code": "<string>",
"client": {
"id": 123,
"name": "<string>",
"code": "<string>",
"externalCode": "<string>"
},
"owner": {
"id": 2,
"firstName": "<string>",
"lastName": "<string>",
"picture": {
"href": "<string>"
},
"dtContractEnd": "2023-12-25",
"establishmentId": 2
},
"status": "draft",
"contractType": "nonBillable",
"startsOn": "2023-12-25",
"createdAt": "2023-11-07T05:31:56Z",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"price": {
"amount": 123,
"currencyId": "EUR"
},
"authorizedActions": [
"canEditAndDelete"
],
"organizationId": 2,
"description": "",
"initialDeliveryDate": "2023-12-25",
"revisedDeliveryDate": "2023-12-25",
"launchedAt": "2023-11-07T05:31:56Z",
"lastChargedOn": "2023-12-25",
"standardRateCard": {
"id": 2,
"name": "<string>"
},
"initialTimeEstimate": {
"value": 128,
"iso": "P5DT8H",
"unit": "hour"
},
"revisedTimeEstimate": {
"value": 128,
"iso": "P5DT8H",
"unit": "hour"
},
"standardRate": {
"price": {
"amount": 123,
"currencyId": "EUR"
},
"unit": "day"
},
"billRate": {
"price": {
"amount": 123,
"currencyId": "EUR"
},
"unit": "day"
},
"initialBudget": {
"amount": 123,
"currencyId": "EUR"
},
"revisedBudget": {
"amount": 123,
"currencyId": "EUR"
},
"discount": {
"amount": 123,
"currencyId": "EUR"
},
"discountRate": 123,
"estimatedOverrun": {
"amount": 123,
"currencyId": "EUR"
},
"initialRecoveryRate": 123,
"estimatedRecoveryRate": 123,
"totalInvoiced": {
"amount": 123,
"currencyId": "EUR"
},
"risks": [
{
"type": "budgetOverRun",
"label": "<string>"
}
],
"anomalies": [
{
"type": "noServices",
"label": "<string>"
}
],
"invoicingWarnings": [
{
"type": "unapprovedItems",
"applicableFrom": "2023-12-25",
"preventsInvoicing": true,
"label": "<string>"
}
]
}
]
}List projects from an organization. Only returns a subset of a Project fields.
curl --request GET \
--url https://{host}/timmi-project/api/v4/projects \
--header 'Authorization: <authorization>'{
"next": "<string>",
"prev": "<string>",
"count": 1,
"items": [
{
"name": "<string>",
"id": 2,
"code": "<string>",
"client": {
"id": 123,
"name": "<string>",
"code": "<string>",
"externalCode": "<string>"
},
"owner": {
"id": 2,
"firstName": "<string>",
"lastName": "<string>",
"picture": {
"href": "<string>"
},
"dtContractEnd": "2023-12-25",
"establishmentId": 2
},
"status": "draft",
"contractType": "nonBillable",
"startsOn": "2023-12-25",
"createdAt": "2023-11-07T05:31:56Z",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"price": {
"amount": 123,
"currencyId": "EUR"
},
"authorizedActions": [
"canEditAndDelete"
],
"organizationId": 2,
"description": "",
"initialDeliveryDate": "2023-12-25",
"revisedDeliveryDate": "2023-12-25",
"launchedAt": "2023-11-07T05:31:56Z",
"lastChargedOn": "2023-12-25",
"standardRateCard": {
"id": 2,
"name": "<string>"
},
"initialTimeEstimate": {
"value": 128,
"iso": "P5DT8H",
"unit": "hour"
},
"revisedTimeEstimate": {
"value": 128,
"iso": "P5DT8H",
"unit": "hour"
},
"standardRate": {
"price": {
"amount": 123,
"currencyId": "EUR"
},
"unit": "day"
},
"billRate": {
"price": {
"amount": 123,
"currencyId": "EUR"
},
"unit": "day"
},
"initialBudget": {
"amount": 123,
"currencyId": "EUR"
},
"revisedBudget": {
"amount": 123,
"currencyId": "EUR"
},
"discount": {
"amount": 123,
"currencyId": "EUR"
},
"discountRate": 123,
"estimatedOverrun": {
"amount": 123,
"currencyId": "EUR"
},
"initialRecoveryRate": 123,
"estimatedRecoveryRate": 123,
"totalInvoiced": {
"amount": 123,
"currencyId": "EUR"
},
"risks": [
{
"type": "budgetOverRun",
"label": "<string>"
}
],
"anomalies": [
{
"type": "noServices",
"label": "<string>"
}
],
"invoicingWarnings": [
{
"type": "unapprovedItems",
"applicableFrom": "2023-12-25",
"preventsInvoicing": true,
"label": "<string>"
}
]
}
]
}Search Query Parameter
GET /api/v4/projects?organizationId=1&search=pro,avat&fields.root=count HTP/1.1
{
"count": 2,
"items": [
{
"id": 1,
"name": "Project",
"code": "Avatar",
"client": {
"name": "James Cameron",
"code": "CAMERON"
}
},
{
"id": 2,
"name": "Avatar Project",
"code": "Awesomeness",
"client": {
"name": "Advent",
"code": "ADVENT"
}
},
{
"id": 3,
"name": "Test",
"code": "Test",
"client": {
"name": "Avatar",
"code": "project"
}
}
]
}
API key. Value must be formatted like so: lucca application={api_key}.
Filter on a single organization unique identifier.
Comma-separated list of codes / names to search for
Page size
Page number
x >= 1Return total items count (across all pages).
count Only returns projects whose code is strictly equal to sent value
Was this page helpful?